Intel® oneAPI AI Analytics Toolkit
Find answers to your toolkit installation, configuration, and get-started questions.
53 Discussions

Hello World! Sampe - Intel AI Toolkit Samples errors: Process exceeded login node resource limit.

hoemin
Beginner
323 Views

Try to run a Hello World! Sampe - Intel AI Toolkit Samples, but encountered errors:

u76597@s001-n066:~$ date
Mon 19 Dec 2022 01:46:56 AM PST
u76597@s001-n066:~$ ## Run a Hello World! Sample from AI Analytics u76597@s001-n066:~$ ssh devcloud
###############################################################################
#
# Welcome to the Intel DevCloud for oneAPI Projects!
#
# 1) See https://devcloud.intel.com/oneapi/ for instructions and rules for
# the OneAPI Instance.
#
# 2) See https://github.com/intel/FPGA-Devcloud for instructions and rules for
# the FPGA Instance.
#
# Note: Your invitation email sent to you contains the authentication URL.
#
# If you have any questions regarding the cloud usage, post them at
# https://software.intel.com/en-us/forums/intel-devcloud
#
# Intel DevCloud Team
#
###############################################################################
#
# Note: Cryptocurrency mining on the Intel DevCloud is forbidden.
# Mining will lead to immediate termination of your account.
#
###############################################################################
Last login: Thu Nov 10 21:11:36 2022 from 10.9.0.249
-bash: eval: line 43: syntax error near unexpected token `('
-bash: eval: line 43: ` IntelTensorFlow_GettingStarted(hm) _mlshdbg='' ;;'
-bash: export: _moduleraw: not a function
-bash: export: module: not a function
u76597@login-2:~$
u76597@login-2:~$ git clone https://github.com/oneapi-src/oneAPI-samples.git
fatal: destination path 'oneAPI-samples' already exists and is not an empty directory.
u76597@login-2:~$
u76597@login-2:~$ cd ~/oneAPI-samples/AI-and-Analytics/Getting-Started-Samples/IntelTensorFlow_GettingStarted
u76597@login-2:~/oneAPI-samples/AI-and-Analytics/Getting-Started-Samples/IntelTensorFlow_GettingStarted$
u76597@login-2:~/oneAPI-samples/AI-and-Analytics/Getting-Started-Samples/IntelTensorFlow_GettingStarted$ #!/bin/bash
u76597@login-2:~/oneAPI-samples/AI-and-Analytics/Getting-Started-Samples/IntelTensorFlow_GettingStarted$ source /opt/intel/inteloneapi/setvars.sh > /dev/null 2>&1
u76597@login-2:~/oneAPI-samples/AI-and-Analytics/Getting-Started-Samples/IntelTensorFlow_GettingStarted$ source activate tensorflow

(tensorflow) u76597@login-2:~/oneAPI-samples/AI-and-Analytics/Getting-Started-Samples/IntelTensorFlow_GettingStarted$ python TensorFlow_HelloWorld.py
2022-12-19 02:04:03.171472: I tensorflow/core/platform/cpu_feature_guard.cc:193] This TensorFlow binary is optimized with oneAPI Deep Neural Network Library (oneDNN) to use the following CPU instructions in performance-critical operations: AVX2 AVX512F FMA
To enable them in other operations, rebuild TensorFlow with the appropriate compiler flags.
2022-12-19 02:04:04.102707: W tensorflow/stream_executor/platform/default/dso_loader.cc:64] Could not load dynamic library 'libcudart.so.11.0'; dlerror: libcudart.so.11.0: cannot open shared object file: No such file or directory; LD_LIBRARY_PATH: /glob/development-tools/versions/oneapi/2023.0/oneapi/intelpython/latest/envs/tensorflow/lib/libfabric:/glob/development-tools/versions/oneapi/2023.0/oneapi/vpl/2023.0.0/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/tbb/2021.8.0/env/../lib/intel64/gcc4.8:/glob/development-tools/versions/oneapi/2023.0/oneapi/rkcommon/1.10.0/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/ospray_studio/0.11.1/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/ospray/2.10.0/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/openvkl/1.3.1/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/oidn/1.4.3/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/mpi/2021.8.0//libfabric/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/mpi/2021.8.0//lib/release:/glob/development-tools/versions/oneapi/2023.0/oneapi/mpi/2021.8.0//lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/mkl/2023.0.0/lib/intel64:/glob/development-tools/versions/oneapi/2023.0/oneapi/itac/2021.8.0/slib:/glob/development-tools/versions/oneapi/2023.0/oneapi/ispc/1.18.1/lib/lib64:/glob/development-tools/versions/oneapi/2023.0/oneapi/ipp/2021.7.0/lib/intel64:/glob/development-tools/versions/oneapi/2023.0/oneapi/ippcp/2021.6.3/lib/intel64:/glob/development-tools/versions/oneapi/2023.0/oneapi/ipp/2021.7.0/lib/intel64:/glob/development-tools/versions/oneapi/2023.0/oneapi/embree/3.13.5/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/dnnl/2023.0.0/cpu_dpcpp_gpu_dpcpp/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/debugger/2023.0.0/gdb/intel64/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/debugger/2023.0.0/libipt/intel64/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/debugger/2023.0.0/dep/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/dal/2023.0.0/lib/intel64:/glob/development-tools/versions/oneapi/2023.0/oneapi/compiler/2023.0.0/linux/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/compiler/2023.0.0/linux/lib/x64:/glob/development-tools/versions/oneapi/2023.0/oneapi/compiler/2023.0.0/linux/lib/oclfpga/host/linux64/lib:/glob/development-tools/versions/oneapi/2023.0/oneapi/compiler/2023.0.0/linux/compiler/lib/intel64_lin:/glob/development-tools/versions/oneapi/2023.0/oneapi/ccl/2021.8.0/lib/cpu_gpu_dpcpp
2022-12-19 02:04:04.102803: I tensorflow/stream_executor/cuda/cudart_stub.cc:29] Ignore above cudart dlerror if you do not have a GPU set up on your machine.
2022-12-19 02:04:04.171492: E tensorflow/stream_executor/cuda/cuda_blas.cc:2981] Unable to register cuBLAS factory: Attempting to register factory for plugin cuBLAS when one has already been registered
Traceback (most recent call last):
File "/opt/intel/oneapi/intelpython/latest/lib/python3.9/site-packages/numpy/core/__init__.py", line 23, in <module>
from . import multiarray
File "/opt/intel/oneapi/intelpython/latest/lib/python3.9/site-packages/numpy/core/multiarray.py", line 10, in <module>
from . import overrides
File "/opt/intel/oneapi/intelpython/latest/lib/python3.9/site-packages/numpy/core/overrides.py", line 6, in <module>
from numpy.core._multiarray_umath import (
ImportError: /opt/intel/oneapi/intelpython/latest/lib/python3.9/site-packages/numpy/core/_multiarray_umath.cpython-39-x86_64-linux-gnu.so: failed to map segment from shared object

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/u76597/oneAPI-samples/AI-and-Analytics/Getting-Started-Samples/IntelTensorFlow_GettingStarted/TensorFlow_HelloWorld.py", line 11, in <module>
import tensorflow.compat.v1 as tf
File "/home/u76597/.local/lib/python3.9/site-packages/tensorflow/__init__.py", line 37, in <module>
from tensorflow.python.tools import module_util as _module_util
File "/home/u76597/.local/lib/python3.9/site-packages/tensorflow/python/__init__.py", line 37, in <module>
from tensorflow.python.eager import context
File "/home/u76597/.local/lib/python3.9/site-packages/tensorflow/python/eager/context.py", line 26, in <module>
import numpy as np
File "/opt/intel/oneapi/intelpython/latest/lib/python3.9/site-packages/numpy/__init__.py", line 160, in <module>
from . import core
File "/opt/intel/oneapi/intelpython/latest/lib/python3.9/site-packages/numpy/core/__init__.py", line 49, in <module>
raise ImportError(msg)
ImportError:

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the numpy C-extensions failed. This error can happen for
many reasons, often due to issues with your setup or how NumPy was
installed.

We have compiled some common reasons and troubleshooting tips at:

https://numpy.org/devdocs/user/troubleshooting-importerror.html

Please note and check the following:

* The Python version is: Python3.9 from "/opt/intel/oneapi/intelpython/latest/bin/python"
* The NumPy version is: "1.22.3"

and make sure that they are the versions you expect.
Please carefully study the documentation linked above for further help.

Original error was: /opt/intel/oneapi/intelpython/latest/lib/python3.9/site-packages/numpy/core/_multiarray_umath.cpython-39-x86_64-linux-gnu.so: failed to map segment from shared object


Process exceeded login node resource limit.
Please run jobs on compute nodes using qsub or start an interactive shell using qsub -I.
Please visit the forums at: https://software.intel.com/en-us/forums/intel-devcloud
(tensorflow) u76597@login-2:~/oneAPI-samples/AI-and-Analytics/Getting-Started-Samples/IntelTensorFlow_GettingStar...

Please advise how to solve this issue. 

Thanks

Best Regards

Hoe Min

hm3_kl@student.wou.edu.my

hoemin@outlook.my

 

0 Kudos
0 Replies
Reply